/*
 * MIT License
 *
 * Copyright (c) 2021 LeeWyatt
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 */
package app.ui;

import com.leewyatt.rxcontrols.controls.RXPasswordField;
import com.leewyatt.rxcontrols.controls.RXTextField;
import com.leewyatt.rxcontrols.enums.DisplayMode;
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class TestField extends Application {

    @Override
    public void start(Stage primaryStage) {
        VBox root = new VBox();

        //带有按钮的文本框
        RXTextField userName = new RXTextField("userName");
        userName.setMaxWidth(160);
        userName.setOnClickButton(event -> {
            userName.clear();
        });
        //按钮 显示
        userName.setButtonDisplayMode(DisplayMode.SHOW);
        //带有显示与隐藏密码的密码框
        RXPasswordField passwordField = new RXPasswordField("123456abc");
        passwordField.setMaxWidth(160);
        //设置密码 字符
        passwordField.setEchochar("&");
        //设置密码框的按钮显示
        passwordField.setButtonDisplayMode(DisplayMode.AUTO);


        //设置密码 是否显示为明文
        passwordField.setShowPassword(false);
        root.getChildren().addAll(userName,passwordField);
        primaryStage.setScene(new Scene(root, 500, 320));
        primaryStage.setTitle("TestField Window");
        primaryStage.show();


    }

    public static void main(String[] args) {
        launch(args);
    }
    /**
     * CSS示例
     .rx-password-field{

     }
     //当密码框显示时的伪类
     .rx-password-field:showing{

     }
     */
}
